namespace _1_
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int[] paramet = new int[2];
            int T = int.Parse(Console.ReadLine());
            bool p = false;
            for (int k = 0; k < T; k++)
            {
                int[] para = Console.ReadLine().Split().Select(int.Parse).ToArray();
                if (para[0] == para[1] && p != true)
                {
                    p = true;
                    paramet[0] = para[0];
                    paramet[1] = para[1];
                }
            }
            if (p)
            {
                int z = paramet[1] - 1;
                for (int i = 0; i < paramet[0]; i++)
                {
                    for (int j = 0; j < paramet[1]; j++)
                    {
                        if(i == 0 || j == 0)
                            Console.Write(1 + " ");
                        else if (j<=z)
                            Console.Write(0 + " ");
                        else
                            Console.Write(1 + " ");
                    }
                        z--;
                        Console.WriteLine();
                }
            }
            else
                Console.WriteLine(-1);
        }
    }
}